import { r as registerInstance } from './core-8e73947d.js';
var SmoothlyDisplayDateTime = /** @class */ (function () {
    function SmoothlyDisplayDateTime(hostRef) {
        registerInstance(this, hostRef);
    }
    SmoothlyDisplayDateTime.prototype.render = function () {
        var datetime = this.datetime.split("T");
        return [
            datetime[0],
            " ",
            datetime[1],
        ];
    };
    Object.defineProperty(SmoothlyDisplayDateTime, "style", {
        get: function () { return ".sc-smoothly-display-date-time-h{display:block}[hidden].sc-smoothly-display-date-time-h{display:none}"; },
        enumerable: true,
        configurable: true
    });
    return SmoothlyDisplayDateTime;
}());
export { SmoothlyDisplayDateTime as smoothly_display_date_time };
